Angular Popup - Resize and Relocate

To change the size of the Popup, specify the height and width properties.

HTML
TypeScript
  • <dx-popup
  • title="Popup Title"
  • [(visible)]="isPopupVisible"
  • [height]="300"
  • [width]="500">
  • <div *dxTemplate="let data of 'content'">
  • <p>Popup content</p>
  • </div>
  • </dx-popup>
  • import { DxPopupModule } from "devextreme-angular";
  • // ...
  • export class AppComponent {
  • isPopupVisible: boolean = true;
  • }
  • @NgModule({
  • imports: [
  • // ...
  • DxPopupModule
  • ],
  • // ...
  • })

To allow an end user to resize the Popup, assign true to the resizeEnabled property.

HTML
TypeScript
  • <dx-popup
  • title="Popup Title"
  • [(visible)]="isPopupVisible"
  • [resizeEnabled]="true">
  • </dx-popup>
  • import { DxPopupModule } from "devextreme-angular";
  • // ...
  • export class AppComponent {
  • isPopupVisible: boolean = true;
  • }
  • @NgModule({
  • imports: [
  • // ...
  • DxPopupModule
  • ],
  • // ...
  • })

If you need to position the Popup against a specific element on your page, set the position property.

HTML
TypeScript
  • <dx-popup
  • title="Popup Title"
  • [(visible)]="isPopupVisible">
  • <dxo-position
  • my="left"
  • at="left"
  • of="#targetElement">
  • </dxo-position>
  • </dx-popup>
  • import { DxPopupModule } from "devextreme-angular";
  • // ...
  • export class AppComponent {
  • isPopupVisible: boolean = true;
  • }
  • @NgModule({
  • imports: [
  • // ...
  • DxPopupModule
  • ],
  • // ...
  • })

This configuration of the position property reads as follows: "place my left side at the left side of the "#targetElement".

By default, an end user is allowed to change the Popup position only on desktops. To enable this feature on other devices too, set the dragEnabled property to true. Note that the user drags the Popup by its title, so the title should not be hidden.

HTML
TypeScript
  • <dx-popup
  • title="Popup Title"
  • [(visible)]="isPopupVisible"
  • [dragEnabled]="true">
  • </dx-popup>
  • import { DxPopupModule } from "devextreme-angular";
  • // ...
  • export class AppComponent {
  • isPopupVisible: boolean = true;
  • }
  • @NgModule({
  • imports: [
  • // ...
  • DxPopupModule
  • ],
  • // ...
  • })
NOTE
Dragging is possible only if the "height: 100%" style is applied to the <html> element and "min-height: 100%" - to the <body> element.
See Also

Vue Popup - Resize and Relocate

To change the size of the Popup, specify the height and width properties.

  • <template>
  • <DxPopup
  • v-model:visible="isPopupVisible"
  • :height="300"
  • :width="500"
  • title="Popup Title">
  • <template>
  • <p>Popup content</p>
  • </template>
  • </DxPopup>
  • </template>
  •  
  • <script>
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { DxPopup } from 'devextreme-vue/popup';
  •  
  • export default {
  • components: {
  • DxPopup
  • },
  • data() {
  • return {
  • isPopupVisible: true
  • };
  • }
  • }
  • </script>

To allow an end user to resize the Popup, assign true to the resizeEnabled property.

  • <template>
  • <DxPopup
  • v-model:visible="isPopupVisible"
  • :resize-enabled="true"
  • title="Popup Title"
  • />
  • </template>
  •  
  • <script>
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { DxPopup } from 'devextreme-vue/popup';
  •  
  • export default {
  • components: {
  • DxPopup
  • },
  • data() {
  • return {
  • isPopupVisible: true
  • };
  • }
  • }
  • </script>

If you need to position the Popup against a specific element on your page, set the position property.

  • <template>
  • <DxPopup
  • v-model:visible="isPopupVisible"
  • title="Popup Title">
  • <DxPosition
  • my="left"
  • at="left"
  • of="#targetElement">
  • />
  • </DxPopup>
  • </template>
  •  
  • <script>
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { DxPopup, DxPosition } from 'devextreme-vue/popup';
  •  
  • export default {
  • components: {
  • DxPopup,
  • DxPosition
  • },
  • data() {
  • return {
  • isPopupVisible: true
  • };
  • }
  • }
  • </script>

This configuration of the position property reads as follows: "place my left side at the left side of the "#targetElement".

By default, an end user is allowed to change the Popup position only on desktops. To enable this feature on other devices too, set the dragEnabled property to true. Note that the user drags the Popup by its title, so the title should not be hidden.

  • <template>
  • <DxPopup
  • v-model:visible="isPopupVisible"
  • :drag-enabled="true"
  • title="Popup Title"
  • />
  • </template>
  •  
  • <script>
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { DxPopup } from 'devextreme-vue/popup';
  •  
  • export default {
  • components: {
  • DxPopup
  • },
  • data() {
  • return {
  • isPopupVisible: true
  • };
  • }
  • }
  • </script>
NOTE
Dragging is possible only if the "height: 100%" style is applied to the <html> element and "min-height: 100%" - to the <body> element.
See Also